# `CUDA_Runtime_jll.jl` (v0.9.0+0)

[![deps](https://juliahub.com/docs/CUDA_Runtime_jll/deps.svg)](https://juliahub.com/ui/Packages/CUDA_Runtime_jll/Hs50y?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/d4950552b7ab0134f1e2b6e7bb7dd43ba82d4d25/C/CUDA/CUDA_Runtime/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `CUDA_Runtime_jll.jl` have been built from these sources:

* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cudart/windows-x86_64/cuda_cudart-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `851feb95f92a547c5dcf415d1c8dfad3d250475b96e454fe39c32b8531948878`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cupti/windows-x86_64/cuda_cupti-windows-x86_64-12.2.131-archive.zip (SHA256 checksum: `abbb51597e48c4e94605841af13859601019d60d00bdaacbc0d2a75eacd78983`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/windows-x86_64/cuda_nvcc-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `4214ced663d40cfead0f01627fe21304220a763358d66d2761c09dadca88d498`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvrtc/windows-x86_64/cuda_nvrtc-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `5d3f5ab083bc29db18baaef96970e6cc2383938e3b469f1f5df50fd39b40b8e4`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvdisasm/windows-x86_64/cuda_nvdisasm-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `e820916bd2c87b736b9a43125b2fcbdf05049828147b9b93a50564a7965f742f`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_sanitizer_api/windows-x86_64/cuda_sanitizer_api-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `7838bf3c406b733af4ec624bfbe50bfd2e110c040c8d24c894ba0f71e70250d0`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcublas/windows-x86_64/libcublas-windows-x86_64-12.2.4.5-archive.zip (SHA256 checksum: `55d1e09e56f01ad936752a5b6dfafeaf43ce81119bcd64605539684925dcee82`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcufft/windows-x86_64/libcufft-windows-x86_64-11.0.8.91-archive.zip (SHA256 checksum: `5deb48cb7ec467c7e12d67171bdca3b205b7d03e597126a06a88c6c502d1689c`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcurand/windows-x86_64/libcurand-windows-x86_64-10.3.3.129-archive.zip (SHA256 checksum: `35e32fa7f00f7cc6d7372c05219d6e2981e7253b14f26eb5dfa0ca426a1e9ff0`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusolver/windows-x86_64/libcusolver-windows-x86_64-11.5.1.129-archive.zip (SHA256 checksum: `6efdef3433c10c2c515723ec02b939b95d415002bc39879de9d6e68eb6ceaae3`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusparse/windows-x86_64/libcusparse-windows-x86_64-12.1.2.129-archive.zip (SHA256 checksum: `879d8cb0459b213fc4ca40d0cda1d8094512bcb2778e6307790eb8fb43b3a089`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libnvjitlink/windows-x86_64/libnvjitlink-windows-x86_64-12.2.128-archive.zip (SHA256 checksum: `ebbac339275aa7ac8464cd0f10ac8ee763d570ba36bc16cf5b5a7a8aed6bc74b`)

## Platforms

`CUDA_Runtime_jll.jl` is available for the following platforms:

* `Windows x86_64 {cuda=12.2}` (`x86_64-w64-mingw32-cuda+12.2`)

## Dependencies

The following JLL packages are required by `CUDA_Runtime_jll.jl`:

* [`CUDA_Driver_jll`](https://github.com/JuliaBinaryWrappers/CUDA_Driver_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcublas`
* `LibraryProduct`: `libcublasLt`
* `FileProduct`: `libcudadevrt`
* `LibraryProduct`: `libcudart`
* `LibraryProduct`: `libcufft`
* `LibraryProduct`: `libcupti`
* `LibraryProduct`: `libcurand`
* `LibraryProduct`: `libcusolver`
* `LibraryProduct`: `libcusolverMg`
* `LibraryProduct`: `libcusparse`
* `LibraryProduct`: `libnvJitLink`
* `LibraryProduct`: `libnvperf_target`
* `LibraryProduct`: `libnvrtc`
* `LibraryProduct`: `libnvrtc_builtins`
* `LibraryProduct`: `libnvvm`
* `ExecutableProduct`: `compute_sanitizer`
* `FileProduct`: `libdevice`
* `LibraryProduct`: `libnvperf_host`
* `ExecutableProduct`: `nvdisasm`
* `ExecutableProduct`: `nvlink`
* `ExecutableProduct`: `ptxas`
